=== debian/changelog ===
ros-foxy-vesc-ackermann (1.2.0-1focal) focal; urgency=high

  * Merge pull request #21 <https://github.com/f1tenth/vesc/issues/21> from Triton-AI/ros2
    Debug vesc_to_odom TF not publishing
  * Merge pull request #18 <https://github.com/f1tenth/vesc/issues/18> from jacobjj/ros2_correction
    Corrected error in vesc_to_odom.cpp
  * change subscriber msg type to Float
  * [vesc_ackermann] Adding some missing include headers and using statements.
  * [vesc_ackermann] Porting complete.
  * [vesc_ackermann] Starting port.
  * Porting all package.xml and CMakeList.txt files to ROS2.
  * Contributors: Haoru Xue, Hongrui (Billy) Zheng, Jacob Johnson, Joshua Whitley

 -- Johannes Betz <joebetz@seas.upenn.edu>  Fri, 17 Mar 2023 05:00:00 -0000

ros-foxy-vesc-ackermann (1.1.0-1focal) focal; urgency=high

  * Merge pull request #1 <https://github.com/f1tenth/vesc/issues/1> from f1tenth/melodic-devel
    Updating for Melodic
  * Remove unused Boost dependency.
  * Replacing boost::shared_ptr with Standard Library equivalent.
  * Fixing roslint error.
  * Updating package.xml to format 3 and setting C++ standard to 11.
  * Contributors: Joshua Whitley

 -- Johannes Betz <joebetz@seas.upenn.edu>  Sat, 12 Dec 2020 06:00:00 -0000

ros-foxy-vesc-ackermann (1.0.0-1focal) focal; urgency=high

  * Applying roslint to vesc_ackerman.
  * Adding roslint.
  * Adding licenses.
  * Updating maintainers, authors, and URLs.
  * added onboard car
  * Contributors: Joshua Whitley, billyzheng

 -- Johannes Betz <joebetz@seas.upenn.edu>  Wed, 02 Dec 2020 06:00:00 -0000
