=== debian/control ===
Source: ros-foxy-vesc-ackermann
Section: misc
Priority: optional
Maintainer: Johannes Betz <joebetz@seas.upenn.edu>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ackermann-msgs, ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-geometry-msgs, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-std-msgs, ros-foxy-tf2-ros, ros-foxy-vesc-msgs, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/vesc_ackermann
Standards-Version: 3.9.2

Package: ros-foxy-vesc-ackermann
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ackermann-msgs, ros-foxy-geometry-msgs, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-std-msgs, ros-foxy-tf2-ros, ros-foxy-vesc-msgs, ros-foxy-ros-workspace
Description: Translate between VESC messages and ROS ackermann and odometry messages.
